* [gentoo-commits] proj/gnome:gnome-next commit in: x11-misc/colord/
@ 2011-07-12 4:39 Alexandre Restovtsev
0 siblings, 0 replies; 4+ messages in thread
From: Alexandre Restovtsev @ 2011-07-12 4:39 UTC (permalink / raw
To: gentoo-commits
commit: 7d719c43822108382a28568dc85a9c092ceb5007
Author: Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Tue Jul 12 04:30:30 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Tue Jul 12 04:35:38 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=7d719c43
x11-misc/colord: 0.1.9 → 0.1.10 + live ebuild
Version bump. Add doc and examples USE flags. Add a live ebuild (which
has optional introspection and vala support).
---
x11-misc/colord/colord-0.1.10.ebuild | 84 ++++++++++++++++++++++++++++++
x11-misc/colord/colord-0.1.9.ebuild | 54 --------------------
x11-misc/colord/colord-9999.ebuild | 93 ++++++++++++++++++++++++++++++++++
3 files changed, 177 insertions(+), 54 deletions(-)
diff --git a/x11-misc/colord/colord-0.1.10.ebuild b/x11-misc/colord/colord-0.1.10.ebuild
new file mode 100644
index 0000000..8f6a168
--- /dev/null
+++ b/x11-misc/colord/colord-0.1.10.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit base
+if [[ ${PV} = 9999 ]]; then
+ GCONF_DEBUG="no"
+ inherit gnome2-live # need all the hacks from gnome2-live_src_prepare
+fi
+
+DESCRIPTION="System service to accurately color manage input and output devices"
+HOMEPAGE="http://colord.hughsie.com/"
+if [[ ${PV} = 9999 ]]; then
+ EGIT_REPO_URI="git://gitorious.org/colord/master.git"
+else
+ SRC_URI="http://www.freedesktop.org/software/colord/releases/${P}.tar.xz"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="doc examples scanner +udev"
+
+# XXX: raise to libusb-1.0.9:1 when available
+COMMON_DEPEND="
+ dev-db/sqlite:3
+ >=dev-libs/glib-2.28.0:2
+ >=dev-libs/libusb-1.0.8:1
+ >=media-libs/lcms-2.2:2
+ >=sys-auth/polkit-0.97
+ scanner? ( media-gfx/sane-backends )
+ udev? ( || ( sys-fs/udev[gudev] sys-fs/udev[extras] ) )
+"
+RDEPEND="${COMMON_DEPEND}
+ media-gfx/shared-color-profiles"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-sgml-utils
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ dev-util/pkgconfig
+ >=sys-devel/gettext-0.17
+ doc? (
+ app-text/docbook-xml-dtd:4.1.2
+ >=dev-util/gtk-doc-1.9
+ )
+"
+
+# FIXME: needs pre-installed dbus service files
+RESTRICT="test"
+
+DOCS=(AUTHORS ChangeLog MAINTAINERS NEWS README TODO)
+
+src_configure() {
+ econf \
+ --disable-examples \
+ --disable-static \
+ --enable-polkit \
+ --enable-reverse \
+ $(use_enable doc gtk-doc) \
+ $(use_enable scanner sane) \
+ $(use_enable udev gudev)
+ # parallel make fails in doc/api
+ use doc && MAKEOPTS=-j1
+}
+
+src_install() {
+ base_src_install
+
+ # additional documentation files not included in tarball releases
+ [[ ${PV} = 9999 ]] && use doc && dodoc doc/*.txt doc/*.svg
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.c
+ fi
+
+ find "${D}" -name "*.la" -delete
+}
diff --git a/x11-misc/colord/colord-0.1.9.ebuild b/x11-misc/colord/colord-0.1.9.ebuild
deleted file mode 100644
index 1863ef0..0000000
--- a/x11-misc/colord/colord-0.1.9.ebuild
+++ /dev/null
@@ -1,54 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="3"
-
-inherit base
-
-DESCRIPTION="System service to accurately color manage input and output devices"
-HOMEPAGE="http://colord.hughsie.com/"
-SRC_URI="http://people.freedesktop.org/~hughsient/releases/${P}.tar.xz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="scanner +udev"
-
-# XXX: raise to libusb-1.0.9:1 when available
-RDEPEND="
- dev-db/sqlite:3
- >=dev-libs/glib-2.28.0:2
- >=dev-libs/libusb-1.0.8:1
- >=media-libs/lcms-2.2:2
- >=sys-auth/polkit-0.97
- scanner? ( media-gfx/sane-backends )
- udev? ( || ( sys-fs/udev[gudev] sys-fs/udev[extras] ) )
-"
-DEPEND="${RDEPEND}
- app-text/docbook-sgml-utils
- dev-libs/libxslt
- >=dev-util/intltool-0.35
- dev-util/pkgconfig
- >=sys-devel/gettext-0.17
-"
-
-# FIXME: needs pre-installed dbus service files
-RESTRICT="test"
-
-DOCS=(AUTHORS ChangeLog MAINTAINERS NEWS README TODO)
-
-src_configure() {
- econf \
- --disable-examples \
- --disable-static \
- --enable-polkit \
- --enable-reverse \
- $(use_enable scanner sane) \
- $(use_enable udev gudev)
-}
-
-src_install() {
- base_src_install
- find "${D}" -name "*.la" -delete
-}
diff --git a/x11-misc/colord/colord-9999.ebuild b/x11-misc/colord/colord-9999.ebuild
new file mode 100644
index 0000000..5acd534
--- /dev/null
+++ b/x11-misc/colord/colord-9999.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit base
+if [[ ${PV} = 9999 ]]; then
+ GCONF_DEBUG="no"
+ inherit gnome2-live # need all the hacks from gnome2-live_src_prepare
+fi
+
+DESCRIPTION="System service to accurately color manage input and output devices"
+HOMEPAGE="http://colord.hughsie.com/"
+if [[ ${PV} = 9999 ]]; then
+ EGIT_REPO_URI="git://gitorious.org/colord/master.git"
+else
+ SRC_URI="http://www.freedesktop.org/software/colord/releases/${P}.tar.xz"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="doc examples +introspection scanner +udev vala"
+
+# XXX: raise to libusb-1.0.9:1 when available
+COMMON_DEPEND="
+ dev-db/sqlite:3
+ >=dev-libs/glib-2.28.0:2
+ >=dev-libs/libusb-1.0.8:1
+ >=media-libs/lcms-2.2:2
+ >=sys-auth/polkit-0.97
+ introspection? ( >=dev-libs/gobject-introspection-0.9.8 )
+ scanner? ( media-gfx/sane-backends )
+ udev? ( || ( sys-fs/udev[gudev] sys-fs/udev[extras] ) )
+"
+RDEPEND="${COMMON_DEPEND}
+ media-gfx/shared-color-profiles"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-sgml-utils
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ dev-util/pkgconfig
+ >=sys-devel/gettext-0.17
+ doc? (
+ app-text/docbook-xml-dtd:4.1.2
+ >=dev-util/gtk-doc-1.9
+ )
+ vala? ( dev-lang/vala:0.12 )
+"
+
+# FIXME: needs pre-installed dbus service files
+RESTRICT="test"
+
+DOCS=(AUTHORS ChangeLog MAINTAINERS NEWS README TODO)
+
+src_configure() {
+ if use vala; then
+ if use introspection; then
+ export VAPIGEN=$(type -p vapigen-0.12)
+ else
+ ewarn "Vala bindings cannot be built because the introspection USE flag is disabled"
+ fi
+ fi
+ econf \
+ --disable-examples \
+ --disable-static \
+ --enable-polkit \
+ --enable-reverse \
+ $(use_enable doc gtk-doc) \
+ $(use_enable scanner sane) \
+ $(use_enable udev gudev)
+ # parallel make fails in doc/api
+ use doc && MAKEOPTS=-j1
+}
+
+src_install() {
+ base_src_install
+
+ # additional documentation files not included in tarball releases
+ [[ ${PV} = 9999 ]] && use doc && dodoc doc/*.txt doc/*.svg
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.c
+ fi
+
+ find "${D}" -name "*.la" -delete
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/gnome:gnome-next commit in: x11-misc/colord/
@ 2011-08-10 1:33 Alexandre Restovtsev
0 siblings, 0 replies; 4+ messages in thread
From: Alexandre Restovtsev @ 2011-08-10 1:33 UTC (permalink / raw
To: gentoo-commits
commit: 18a98b76d23e8c44ffeb57db520c8489aaadb606
Author: Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Wed Aug 10 01:26:42 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Wed Aug 10 01:30:06 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=18a98b76
x11-misc/colord: 0.1.10 → 0.1.11
Version bump with introspection support (bringing an automagic vala
build-time dep, unfortunately). Update the homepage.
---
.../{colord-0.1.10.ebuild => colord-0.1.11.ebuild} | 13 +++++++++----
x11-misc/colord/colord-9999.ebuild | 20 ++++++++------------
2 files changed, 17 insertions(+), 16 deletions(-)
diff --git a/x11-misc/colord/colord-0.1.10.ebuild b/x11-misc/colord/colord-0.1.11.ebuild
similarity index 81%
rename from x11-misc/colord/colord-0.1.10.ebuild
rename to x11-misc/colord/colord-0.1.11.ebuild
index 8f6a168..e966c19 100644
--- a/x11-misc/colord/colord-0.1.10.ebuild
+++ b/x11-misc/colord/colord-0.1.11.ebuild
@@ -11,7 +11,7 @@ if [[ ${PV} = 9999 ]]; then
fi
DESCRIPTION="System service to accurately color manage input and output devices"
-HOMEPAGE="http://colord.hughsie.com/"
+HOMEPAGE="http://www.freedesktop.org/software/colord/"
if [[ ${PV} = 9999 ]]; then
EGIT_REPO_URI="git://gitorious.org/colord/master.git"
else
@@ -25,7 +25,7 @@ if [[ ${PV} = 9999 ]]; then
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="doc examples scanner +udev"
+IUSE="doc examples +introspection scanner +udev"
# XXX: raise to libusb-1.0.9:1 when available
COMMON_DEPEND="
@@ -34,11 +34,13 @@ COMMON_DEPEND="
>=dev-libs/libusb-1.0.8:1
>=media-libs/lcms-2.2:2
>=sys-auth/polkit-0.97
+ introspection? ( >=dev-libs/gobject-introspection-0.9.8 )
scanner? ( media-gfx/sane-backends )
udev? ( || ( sys-fs/udev[gudev] sys-fs/udev[extras] ) )
"
RDEPEND="${COMMON_DEPEND}
media-gfx/shared-color-profiles"
+# XXX: automagic build-time vala dependency if USE=introspection
DEPEND="${COMMON_DEPEND}
app-text/docbook-sgml-utils
dev-libs/libxslt
@@ -49,6 +51,7 @@ DEPEND="${COMMON_DEPEND}
app-text/docbook-xml-dtd:4.1.2
>=dev-util/gtk-doc-1.9
)
+ introspection? ( dev-lang/vala:0.12 )
"
# FIXME: needs pre-installed dbus service files
@@ -63,8 +66,10 @@ src_configure() {
--enable-polkit \
--enable-reverse \
$(use_enable doc gtk-doc) \
+ $(use_enable introspection) \
$(use_enable scanner sane) \
- $(use_enable udev gudev)
+ $(use_enable udev gudev) \
+ VAPIGEN=$(type -p vapigen-0.12)
# parallel make fails in doc/api
use doc && MAKEOPTS=-j1
}
@@ -80,5 +85,5 @@ src_install() {
doins examples/*.c
fi
- find "${D}" -name "*.la" -delete
+ find "${D}" -name "*.la" -delete || die
}
diff --git a/x11-misc/colord/colord-9999.ebuild b/x11-misc/colord/colord-9999.ebuild
index 5acd534..e966c19 100644
--- a/x11-misc/colord/colord-9999.ebuild
+++ b/x11-misc/colord/colord-9999.ebuild
@@ -11,7 +11,7 @@ if [[ ${PV} = 9999 ]]; then
fi
DESCRIPTION="System service to accurately color manage input and output devices"
-HOMEPAGE="http://colord.hughsie.com/"
+HOMEPAGE="http://www.freedesktop.org/software/colord/"
if [[ ${PV} = 9999 ]]; then
EGIT_REPO_URI="git://gitorious.org/colord/master.git"
else
@@ -25,7 +25,7 @@ if [[ ${PV} = 9999 ]]; then
else
KEYWORDS="~amd64 ~x86"
fi
-IUSE="doc examples +introspection scanner +udev vala"
+IUSE="doc examples +introspection scanner +udev"
# XXX: raise to libusb-1.0.9:1 when available
COMMON_DEPEND="
@@ -40,6 +40,7 @@ COMMON_DEPEND="
"
RDEPEND="${COMMON_DEPEND}
media-gfx/shared-color-profiles"
+# XXX: automagic build-time vala dependency if USE=introspection
DEPEND="${COMMON_DEPEND}
app-text/docbook-sgml-utils
dev-libs/libxslt
@@ -50,7 +51,7 @@ DEPEND="${COMMON_DEPEND}
app-text/docbook-xml-dtd:4.1.2
>=dev-util/gtk-doc-1.9
)
- vala? ( dev-lang/vala:0.12 )
+ introspection? ( dev-lang/vala:0.12 )
"
# FIXME: needs pre-installed dbus service files
@@ -59,21 +60,16 @@ RESTRICT="test"
DOCS=(AUTHORS ChangeLog MAINTAINERS NEWS README TODO)
src_configure() {
- if use vala; then
- if use introspection; then
- export VAPIGEN=$(type -p vapigen-0.12)
- else
- ewarn "Vala bindings cannot be built because the introspection USE flag is disabled"
- fi
- fi
econf \
--disable-examples \
--disable-static \
--enable-polkit \
--enable-reverse \
$(use_enable doc gtk-doc) \
+ $(use_enable introspection) \
$(use_enable scanner sane) \
- $(use_enable udev gudev)
+ $(use_enable udev gudev) \
+ VAPIGEN=$(type -p vapigen-0.12)
# parallel make fails in doc/api
use doc && MAKEOPTS=-j1
}
@@ -89,5 +85,5 @@ src_install() {
doins examples/*.c
fi
- find "${D}" -name "*.la" -delete
+ find "${D}" -name "*.la" -delete || die
}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/gnome:gnome-next commit in: x11-misc/colord/
@ 2011-09-26 9:33 Alexandre Restovtsev
0 siblings, 0 replies; 4+ messages in thread
From: Alexandre Restovtsev @ 2011-09-26 9:33 UTC (permalink / raw
To: gentoo-commits
commit: 0e0466e7ac37e7e9639f7116ddb150ba03fb74ed
Author: Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Mon Sep 26 07:02:18 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Mon Sep 26 07:02:18 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=0e0466e7
x11-misc/colord: add 0.1.12
Add new colord version. Following the example of Debian, for security we
should run colord as a non-root user and refrain from automatically
scanning user directories for color profiles.
---
x11-misc/colord/colord-0.1.12.ebuild | 135 ++++++++++++++++++++++++++++++++++
x11-misc/colord/colord-9999.ebuild | 48 ++++++++++++-
2 files changed, 182 insertions(+), 1 deletions(-)
diff --git a/x11-misc/colord/colord-0.1.12.ebuild b/x11-misc/colord/colord-0.1.12.ebuild
new file mode 100644
index 0000000..34b74ca
--- /dev/null
+++ b/x11-misc/colord/colord-0.1.12.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit eutils base
+if [[ ${PV} = 9999 ]]; then
+ GCONF_DEBUG="no"
+ inherit gnome2-live # need all the hacks from gnome2-live_src_prepare
+fi
+
+DESCRIPTION="System service to accurately color manage input and output devices"
+HOMEPAGE="http://www.freedesktop.org/software/colord/"
+if [[ ${PV} = 9999 ]]; then
+ EGIT_REPO_URI="git://gitorious.org/colord/master.git"
+else
+ SRC_URI="http://www.freedesktop.org/software/colord/releases/${P}.tar.xz"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+fi
+IUSE="doc examples +introspection scanner +udev"
+
+# XXX: raise to libusb-1.0.9:1 when available
+COMMON_DEPEND="
+ dev-db/sqlite:3
+ >=dev-libs/glib-2.28.0:2
+ >=dev-libs/libusb-1.0.8:1
+ >=media-libs/lcms-2.2:2
+ >=sys-auth/polkit-0.97
+ introspection? ( >=dev-libs/gobject-introspection-0.9.8 )
+ scanner? ( media-gfx/sane-backends )
+ udev? ( || ( sys-fs/udev[gudev] sys-fs/udev[extras] ) )
+"
+RDEPEND="${COMMON_DEPEND}
+ media-gfx/shared-color-profiles"
+# XXX: automagic build-time vala dependency if USE=introspection
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-sgml-utils
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ dev-util/pkgconfig
+ >=sys-devel/gettext-0.17
+ doc? (
+ app-text/docbook-xml-dtd:4.1.2
+ >=dev-util/gtk-doc-1.9
+ )
+ introspection? ( dev-lang/vala:0.12 )
+"
+
+# FIXME: needs pre-installed dbus service files
+RESTRICT="test"
+
+DOCS=(AUTHORS ChangeLog MAINTAINERS NEWS README TODO)
+
+pkg_setup() {
+ enewgroup colord
+ enewuser colord -1 -1 /var/lib/colord colord
+}
+
+src_configure() {
+ econf \
+ --disable-examples \
+ --disable-static \
+ --enable-polkit \
+ --enable-reverse \
+ --disable-volume-search \
+ --with-daemon-user=colord \
+ --localstatedir="${EPREFIX}"/var \
+ $(use_enable doc gtk-doc) \
+ $(use_enable introspection) \
+ $(use_enable scanner sane) \
+ $(use_enable udev gudev) \
+ VAPIGEN=$(type -p vapigen-0.12)
+ # parallel make fails in doc/api
+ use doc && MAKEOPTS=-j1
+}
+
+src_install() {
+ base_src_install
+
+ # Ensure config and profile directories exist and are writable
+ local d
+ for d in /var/lib/{color,colord}; do
+ keepdir "${d}"
+ fowners colord:colord "${d}"
+ done
+
+ # additional documentation files not included in tarball releases
+ [[ ${PV} = 9999 ]] && use doc && dodoc doc/*.txt doc/*.svg
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.c
+ fi
+
+ find "${D}" -name "*.la" -delete || die
+}
+
+pkg_postinst() {
+ # <=colord-0.1.11 ran as root and used /var/lib/lib/colord to store
+ # configuration files and /var/lib/lib/color for custom color profiles.
+ local old_dir="${EROOT}var/lib/lib/colord"
+ local new_dir="${EROOT}var/lib/colord"
+
+ if [[ -e "${old_dir}/mapping.db" || -e "${old_dir}/storage.db" ]] && \
+ ! [[ -e "${new_dir}/mapping.db" || -e "${new_dir}/storage.db" ]]; then
+ elog "Old colord configuration files are present in ${old_dir}. If you"
+ elog "are upgrading from colord-0.1.11 or older and had previously"
+ elog "customized your color management settings, you will need to copy"
+ elog "these files to ${new_dir} and then change the file ownership"
+ elog "to colord:colord :"
+ elog
+ elog " # cp ${old_dir}/*.db ${new_dir}"
+ elog " # chown colord:colord ${new_dir}/*.db"
+ elog
+ fi
+ old_dir="${EROOT}var/lib/lib/color"
+ new_dir="${EROOT}var/lib/color"
+ if [[ -e "${old_dir}/icc" && ! -e "${new_dir}/icc" ]]; then
+ elog "Old custom color profiles are present in ${old_dir}. If you are"
+ elog "upgrading from colord-0.1.11 or older, you will need to copy them"
+ elog "to ${new_dir} and then change the ownership to colord:colord :"
+ elog
+ elog " # cp -r ${old_dir}/icc ${new_dir}"
+ elog " # chown -R colord:colord ${new_dir}/icc"
+ elog
+ fi
+}
diff --git a/x11-misc/colord/colord-9999.ebuild b/x11-misc/colord/colord-9999.ebuild
index e966c19..34b74ca 100644
--- a/x11-misc/colord/colord-9999.ebuild
+++ b/x11-misc/colord/colord-9999.ebuild
@@ -4,7 +4,7 @@
EAPI="4"
-inherit base
+inherit eutils base
if [[ ${PV} = 9999 ]]; then
GCONF_DEBUG="no"
inherit gnome2-live # need all the hacks from gnome2-live_src_prepare
@@ -59,12 +59,20 @@ RESTRICT="test"
DOCS=(AUTHORS ChangeLog MAINTAINERS NEWS README TODO)
+pkg_setup() {
+ enewgroup colord
+ enewuser colord -1 -1 /var/lib/colord colord
+}
+
src_configure() {
econf \
--disable-examples \
--disable-static \
--enable-polkit \
--enable-reverse \
+ --disable-volume-search \
+ --with-daemon-user=colord \
+ --localstatedir="${EPREFIX}"/var \
$(use_enable doc gtk-doc) \
$(use_enable introspection) \
$(use_enable scanner sane) \
@@ -77,6 +85,13 @@ src_configure() {
src_install() {
base_src_install
+ # Ensure config and profile directories exist and are writable
+ local d
+ for d in /var/lib/{color,colord}; do
+ keepdir "${d}"
+ fowners colord:colord "${d}"
+ done
+
# additional documentation files not included in tarball releases
[[ ${PV} = 9999 ]] && use doc && dodoc doc/*.txt doc/*.svg
@@ -87,3 +102,34 @@ src_install() {
find "${D}" -name "*.la" -delete || die
}
+
+pkg_postinst() {
+ # <=colord-0.1.11 ran as root and used /var/lib/lib/colord to store
+ # configuration files and /var/lib/lib/color for custom color profiles.
+ local old_dir="${EROOT}var/lib/lib/colord"
+ local new_dir="${EROOT}var/lib/colord"
+
+ if [[ -e "${old_dir}/mapping.db" || -e "${old_dir}/storage.db" ]] && \
+ ! [[ -e "${new_dir}/mapping.db" || -e "${new_dir}/storage.db" ]]; then
+ elog "Old colord configuration files are present in ${old_dir}. If you"
+ elog "are upgrading from colord-0.1.11 or older and had previously"
+ elog "customized your color management settings, you will need to copy"
+ elog "these files to ${new_dir} and then change the file ownership"
+ elog "to colord:colord :"
+ elog
+ elog " # cp ${old_dir}/*.db ${new_dir}"
+ elog " # chown colord:colord ${new_dir}/*.db"
+ elog
+ fi
+ old_dir="${EROOT}var/lib/lib/color"
+ new_dir="${EROOT}var/lib/color"
+ if [[ -e "${old_dir}/icc" && ! -e "${new_dir}/icc" ]]; then
+ elog "Old custom color profiles are present in ${old_dir}. If you are"
+ elog "upgrading from colord-0.1.11 or older, you will need to copy them"
+ elog "to ${new_dir} and then change the ownership to colord:colord :"
+ elog
+ elog " # cp -r ${old_dir}/icc ${new_dir}"
+ elog " # chown -R colord:colord ${new_dir}/icc"
+ elog
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] proj/gnome:gnome-next commit in: x11-misc/colord/
@ 2011-09-28 21:18 Alexandre Restovtsev
0 siblings, 0 replies; 4+ messages in thread
From: Alexandre Restovtsev @ 2011-09-28 21:18 UTC (permalink / raw
To: gentoo-commits
commit: d8f3c3d0c88f7e62c52e86e7654cb0ba4fc64b1d
Author: Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Wed Sep 28 21:17:17 2011 +0000
Commit: Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Wed Sep 28 21:17:17 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=d8f3c3d0
x11-imisc/colord: 0.1.12 is in gx86
---
x11-misc/colord/colord-0.1.12.ebuild | 135 ----------------------------------
1 files changed, 0 insertions(+), 135 deletions(-)
diff --git a/x11-misc/colord/colord-0.1.12.ebuild b/x11-misc/colord/colord-0.1.12.ebuild
deleted file mode 100644
index 34b74ca..0000000
--- a/x11-misc/colord/colord-0.1.12.ebuild
+++ /dev/null
@@ -1,135 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="4"
-
-inherit eutils base
-if [[ ${PV} = 9999 ]]; then
- GCONF_DEBUG="no"
- inherit gnome2-live # need all the hacks from gnome2-live_src_prepare
-fi
-
-DESCRIPTION="System service to accurately color manage input and output devices"
-HOMEPAGE="http://www.freedesktop.org/software/colord/"
-if [[ ${PV} = 9999 ]]; then
- EGIT_REPO_URI="git://gitorious.org/colord/master.git"
-else
- SRC_URI="http://www.freedesktop.org/software/colord/releases/${P}.tar.xz"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~amd64 ~x86"
-fi
-IUSE="doc examples +introspection scanner +udev"
-
-# XXX: raise to libusb-1.0.9:1 when available
-COMMON_DEPEND="
- dev-db/sqlite:3
- >=dev-libs/glib-2.28.0:2
- >=dev-libs/libusb-1.0.8:1
- >=media-libs/lcms-2.2:2
- >=sys-auth/polkit-0.97
- introspection? ( >=dev-libs/gobject-introspection-0.9.8 )
- scanner? ( media-gfx/sane-backends )
- udev? ( || ( sys-fs/udev[gudev] sys-fs/udev[extras] ) )
-"
-RDEPEND="${COMMON_DEPEND}
- media-gfx/shared-color-profiles"
-# XXX: automagic build-time vala dependency if USE=introspection
-DEPEND="${COMMON_DEPEND}
- app-text/docbook-sgml-utils
- dev-libs/libxslt
- >=dev-util/intltool-0.35
- dev-util/pkgconfig
- >=sys-devel/gettext-0.17
- doc? (
- app-text/docbook-xml-dtd:4.1.2
- >=dev-util/gtk-doc-1.9
- )
- introspection? ( dev-lang/vala:0.12 )
-"
-
-# FIXME: needs pre-installed dbus service files
-RESTRICT="test"
-
-DOCS=(AUTHORS ChangeLog MAINTAINERS NEWS README TODO)
-
-pkg_setup() {
- enewgroup colord
- enewuser colord -1 -1 /var/lib/colord colord
-}
-
-src_configure() {
- econf \
- --disable-examples \
- --disable-static \
- --enable-polkit \
- --enable-reverse \
- --disable-volume-search \
- --with-daemon-user=colord \
- --localstatedir="${EPREFIX}"/var \
- $(use_enable doc gtk-doc) \
- $(use_enable introspection) \
- $(use_enable scanner sane) \
- $(use_enable udev gudev) \
- VAPIGEN=$(type -p vapigen-0.12)
- # parallel make fails in doc/api
- use doc && MAKEOPTS=-j1
-}
-
-src_install() {
- base_src_install
-
- # Ensure config and profile directories exist and are writable
- local d
- for d in /var/lib/{color,colord}; do
- keepdir "${d}"
- fowners colord:colord "${d}"
- done
-
- # additional documentation files not included in tarball releases
- [[ ${PV} = 9999 ]] && use doc && dodoc doc/*.txt doc/*.svg
-
- if use examples; then
- insinto /usr/share/doc/${PF}/examples
- doins examples/*.c
- fi
-
- find "${D}" -name "*.la" -delete || die
-}
-
-pkg_postinst() {
- # <=colord-0.1.11 ran as root and used /var/lib/lib/colord to store
- # configuration files and /var/lib/lib/color for custom color profiles.
- local old_dir="${EROOT}var/lib/lib/colord"
- local new_dir="${EROOT}var/lib/colord"
-
- if [[ -e "${old_dir}/mapping.db" || -e "${old_dir}/storage.db" ]] && \
- ! [[ -e "${new_dir}/mapping.db" || -e "${new_dir}/storage.db" ]]; then
- elog "Old colord configuration files are present in ${old_dir}. If you"
- elog "are upgrading from colord-0.1.11 or older and had previously"
- elog "customized your color management settings, you will need to copy"
- elog "these files to ${new_dir} and then change the file ownership"
- elog "to colord:colord :"
- elog
- elog " # cp ${old_dir}/*.db ${new_dir}"
- elog " # chown colord:colord ${new_dir}/*.db"
- elog
- fi
- old_dir="${EROOT}var/lib/lib/color"
- new_dir="${EROOT}var/lib/color"
- if [[ -e "${old_dir}/icc" && ! -e "${new_dir}/icc" ]]; then
- elog "Old custom color profiles are present in ${old_dir}. If you are"
- elog "upgrading from colord-0.1.11 or older, you will need to copy them"
- elog "to ${new_dir} and then change the ownership to colord:colord :"
- elog
- elog " # cp -r ${old_dir}/icc ${new_dir}"
- elog " # chown -R colord:colord ${new_dir}/icc"
- elog
- fi
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2011-09-28 21:19 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-08-10 1:33 [gentoo-commits] proj/gnome:gnome-next commit in: x11-misc/colord/ Alexandre Restovtsev
-- strict thread matches above, loose matches on Subject: below --
2011-09-28 21:18 Alexandre Restovtsev
2011-09-26 9:33 Alexandre Restovtsev
2011-07-12 4:39 Alexandre Restovtsev
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox